| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Utils.Trace

Documentation

type Trace = CurrentCall | Source

type SiblingCall = ChildCall | Source

data CurrentCall a | Source

Constructors

Current a (ParentCall a) [SiblingCall a] [ChildCall a] |
TopLevel [ChildCall a] |

Instances

Typeable1 CurrentCall
Data a => Data (CurrentCall a)
HasRange a => HasRange (Trace a)

data ParentCall a | Source

Constructors

Parent a (ParentCall a) [SiblingCall a] |
NoParent |

Instances

Typeable1 ParentCall
Data a => Data (ParentCall a)
HasRange a => HasRange (ParentCall a)

data ChildCall a | Source

Constructors

Child a [ChildCall a] |

Instances

Typeable1 ChildCall
Data a => Data (ChildCall a)

newCall :: a -> Trace a -> Trace a | Source

updateCall :: a -> Trace a -> Trace a | Source

matchCall :: (call -> Maybe a) -> Trace call -> Maybe a | Source

matchCalls :: (call -> Maybe a) -> Trace call -> [a] | Source

matchTrace :: Monoid m => (ChildCall call -> m) -> Trace call -> m | Source

Produced by Haddock version 2.4.2